Wolves of Capitol HillAPI Docs
API Reference

Tickers

Per-ticker congressional activity and aggregates.

Trades and simple aggregates for one ticker.

GET
/api/v1/tickers/{symbol}
AuthorizationBearer <token>

API key as bearer token.

In: header

Path Parameters

symbolstring

Ticker symbol (case-insensitive, e.g. NVDA).

Response Body

curl -X GET "https://www.wolfofcapitolhill.com/api/v1/tickers/string"
{
  "data": {
    "ticker": "string",
    "trades": [
      {
        "id": "string",
        "politician": {
          "slug": "string",
          "name": "string",
          "chamber": "house",
          "party": "string",
          "state": "string"
        },
        "ticker": "string",
        "assetName": "string",
        "assetType": "string",
        "side": "buy",
        "amountBucket": "string",
        "amountRange": {
          "min": 0,
          "max": 0,
          "label": "string"
        },
        "tradeDate": "2019-08-24",
        "disclosedAt": "2019-08-24T14:15:22Z",
        "filingUrl": "string",
        "ownerType": "self",
        "conflictSignal": true,
        "conflictReason": "string"
      }
    ],
    "aggregates": {
      "totalTrades": 0,
      "buys": 0,
      "sells": 0,
      "lastActivity": "2019-08-24T14:15:22Z",
      "aggregatedOver": 0
    }
  }
}
{
  "error": "string",
  "hint": "string"
}